import "trip.dart";
import "utils.dart";

class PathStep {
  final Trip trip;
  final TripStop enter;
  final TripStop exit;

  PathStep.fromJson(Json json) :
    trip = Trip.fromJson(json["trip"]),
    enter = TripStop.fromJson(json["enter_bus"]),
    exit = TripStop.fromJson(json["exit_bus"]);
}

typedef Path = List<PathStep>;
